# brainfuck

This is a brainfuck interpreter with an interractive mode written in rust which can read from files; you can also read from piped data but reading user input "," will not work.  
It can also run in --interractive mode (-i) or with --verbose (-v) which for now only shows what the memory looks like after the code is executed. 
If a file is specified in interractive mode it will run first.  
You can quit with Control-C.

## Building from source
You need to have rust and cargo installed and be in the project directory  

    cargo build --release

You can then find the executable at `target/release/brainfuck` or run with `cargo run --release` directly

![demo](./demo.png)
